/// <reference types="react" />
import ColumnChartComponent from "./ChartsComponents/ColumnChartComponent";
import { ReactWidgetPM } from "../../types/widget";
declare type DashboardDesignerProps = {
    openEditWidget: (widget: ReactWidgetPM) => void;
};
declare const DashboardDesigner: (props: DashboardDesignerProps) => JSX.Element;
export declare const layoutGridProps: {
    rowHeight: number;
    className: string;
    cols: {
        lg: number;
        md: number;
        sm: number;
        xs: number;
        xxs: number;
    };
    useCSSTransforms: boolean;
};
export declare const WidgetTypes: {
    Name: string;
    Disabled: boolean;
}[];
export declare const widgetComponents: {
    type: string;
    component: typeof ColumnChartComponent;
}[];
export default DashboardDesigner;
